diff options
author | behlendo <behlendo@7e1ea52c-4ff2-0310-8f11-9dd32ca42a1c> | 2008-02-28 00:16:24 +0000 |
---|---|---|
committer | behlendo <behlendo@7e1ea52c-4ff2-0310-8f11-9dd32ca42a1c> | 2008-02-28 00:16:24 +0000 |
commit | 07d339d467337b07ff078d4f2bb81c00388c7565 (patch) | |
tree | 4403b87af1b45c40fb7bacaed691c671d5b09789 /scripts | |
parent | 7c50328b40df4733f31d0fb1ef2056581ff71d4e (diff) |
Add top level make check target which runs the validation
suite. Careful with this right now one of the tests still
causes a lockup on the node. This happened before the move
from the ZFS repo so its not a new issue.
git-svn-id: https://outreach.scidac.gov/svn/spl/trunk@15 7e1ea52c-4ff2-0310-8f11-9dd32ca42a1c
Diffstat (limited to 'scripts')
-rw-r--r-- | scripts/Makefile.am | 3 | ||||
-rwxr-xr-x | scripts/check.sh | 44 |
2 files changed, 47 insertions, 0 deletions
diff --git a/scripts/Makefile.am b/scripts/Makefile.am index 1c92f977b..eb711fec6 100644 --- a/scripts/Makefile.am +++ b/scripts/Makefile.am @@ -1 +1,4 @@ EXTRA_DIST = spl.spec.in + +check: + ./check.sh diff --git a/scripts/check.sh b/scripts/check.sh new file mode 100755 index 000000000..d98c67092 --- /dev/null +++ b/scripts/check.sh @@ -0,0 +1,44 @@ +#!/bin/bash + +prog=check.sh +spl_module=../modules/spl/spl.ko +splat_module=../modules/splat/splat.ko +splat_cmd=../cmd/splat + +die() { + echo "${prog}: $1" >&2 + exit 1 +} + +warn() { + echo "${prog}: $1" >&2 +} + +if [ $(id -u) != 0 ]; then + die "Must run as root" +fi + +if /sbin/lsmod | egrep -q "^spl|^splat"; then + die "Must start with spl modules unloaded" +fi + +if [ ! -f ${spl_module} ] || [ ! -f ${splat_module} ]; then + die "Source tree must be built, run 'make'" +fi + +echo "Loading ${spl_module}" +/sbin/insmod ${spl_module} || die "Failed to load ${spl_module}" + +echo "Loading ${splat_module}" +/sbin/insmod ${splat_module} || die "Unable to load ${splat_module}" + +sleep 5 +$splat_cmd -a + +echo "Unloading ${splat_module}" +/sbin/rmmod ${splat_module} || die "Failed to unload ${splat_module}" + +echo "Unloading ${spl_module}" +/sbin/rmmod ${spl_module} || die "Unable to unload ${spl_module}" + +exit 0 |